<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class ProductTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('product.display_name')
            ->translateLabel()
            ->sortable()
            ->toggleable();
    }
}
